Bug 1358286 - [z-stream clone - 3.6.9] [AAA] Can't add IPA directory users to VM permissions
Summary: [z-stream clone - 3.6.9] [AAA] Can't add IPA directory users to VM permissions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-3.6.9
: ---
Assignee: Ondra Machacek
QA Contact: Gonza
URL:
Whiteboard:
Depends On: 1356675
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-20 12:24 UTC by rhev-integ
Modified: 2019-12-16 06:09 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1356675
Environment:
Last Closed: 2016-09-21 18:04:57 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1929 normal SHIPPED_LIVE Moderate: Red Hat Virtualization Manager (RHV) bug fix 3.6.9 2016-09-21 21:57:10 UTC
oVirt gerrit 60764 master MERGED bll: search: don't replace all ocurrence of pattern 2016-07-20 12:24:36 UTC
oVirt gerrit 60892 ovirt-engine-4.0 MERGED bll: search: don't replace all ocurrence of pattern 2016-07-20 12:24:36 UTC
oVirt gerrit 60900 ovirt-engine-3.6 MERGED bll: search: don't replace all ocurrence of pattern 2016-07-20 13:22:07 UTC

Comment 1 Gonza 2016-08-29 08:45:14 UTC
Verified with:
rhevm-4.0.2.7-0.1.el7ev.noarch

vdcadmin at "com" profile name got a VM and logged successfully into User Portal

2016-08-29 11:41:16,072 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (org.ovirt.thread.pool-6-thread-10) [63c79da] Correlation ID: 63c79da, Call Stack: null, Custom Event ID: -1, Message: User/Group vdcadmin, Namespace dc=brq-ipa,dc=rhev,dc=lab,dc=eng,dc=brq,dc=redhat,dc=com, Authorization provider: com-authz was granted permission for Role UserRole on VM golden_env_mixed_virtio_0, by admin@internal-authz.
2016-08-29 11:41:33,773 INFO  [org.ovirt.engine.core.sso.utils.AuthenticationUtils] (default task-34) [] User vdcadmin@com successfully logged in with scopes: ovirt-app-admin ovirt-app-api ovirt-app-portal ovirt-ext=auth:sequence-priority=~ ovirt-ext=revoke:revoke-all ovirt-ext=token-info:authz-search ovirt-ext=token-info:public-authz-search ovirt-ext=token-info:validate ovirt-ext=token:password-access

Comment 3 errata-xmlrpc 2016-09-21 18:04:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1929.html


Note You need to log in before you can comment on or make changes to this bug.